apiVersion: v1
kind: ConfigMap
metadata:
  name: {{ include "chatwoot.name" . }}
  labels:
    {{- include "chatwoot.standardLabels" . | nindent 4 }}
data:
  FRONTEND_URL: {{ printf "https://%s" .Values.hostname }}
  REDIS_URL: redis://{{ .Release.Name }}-redis-master:6379
  {{- if .Values.smtpTlsOnly }}
  SMTP_TLS: "true"
  {{- else if .Values.smtpDisableTlsUpgrade }}
  SMTP_ENABLE_STARTTLS_AUTO: "false"
  {{- end }}